Subject: Re: bug#53613: [PATCH] guix: Restore profile hook for TeX Live font maps.

From: Ricardo Wurmus <[email-masked]>
Date: Thu, 10 Feb 2022 22:39:00 +0100

Ludovic Courtès <[email-masked]> writes:

> Hello!
>
> Ludovic Courtès <[email-masked]> skribis:
>
>> Ricardo Wurmus <[email-masked]> skribis:
>>
>> [...]
>>
>>> Unfortunately, this change threw out the font-map-sized baby with the
>>> texmf.cnf-infested bath water.  The effect of that was barely noticeable
>>> because font maps are weird and aren’t always used.  Besides, we had a
>>> couple of other font-related problems (e.g. invalid assumptions about
>>> directory links in kpathsea), which masked this newly introduced
>>> problem.
>>>
>>> This patch pulls the baby out of the drain: we’re again generating font
>>> maps (such as pdftex.map) based on the contents of the profile.
>>
>> Oh, I see, makes perfect sense.
>>
>> Should some of this go in the commit log?
>
> To be clear, I think you can go ahead and commit it, possibly with an
> extra comment if you feel so inclined.

That’s how I understood it.  I did go ahead and pushed it with an
explanation in the commit message.

Thanks for the review!

-- 
Ricardo